> ## Documentation Index
> Fetch the complete documentation index at: https://docs.privy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_sendTransaction

> Sign and send a transaction using the eth_sendTransaction method.

### SDK methods

Learn more about sending transactions using our SDKs [here](/wallets/using-wallets/ethereum/send-a-transaction).

***

<RequestExample>
  ```sh Without sponsorship theme={"system"}
  curl --request POST \
    --url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
    --header 'Authorization: Basic <encoded-value>' \
    --header 'Content-Type: application/json' \
    --header 'privy-app-id: <privy-app-id>' \
    --data '{
    "method": "eth_sendTransaction",
    "caip2": "eip155:11155111",
    "chain_type": "ethereum",
    "params": {
      "transaction": {
        "to": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
        "value": "0x2386F26FC10000"
      }
    }
  }'
  ```

  ```sh With sponsorship theme={"system"}
  curl --request POST \
    --url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
    --header 'Authorization: Basic <encoded-value>' \
    --header 'Content-Type: application/json' \
    --header 'privy-app-id: <privy-app-id>' \
    --data '{
    "method": "eth_sendTransaction",
    "caip2": "eip155:11155111",
    "chain_type": "ethereum",
    "sponsor": true,
    "params": {
      "transaction": {
        "to": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
        "value": "0x2386F26FC10000"
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Without sponsorship theme={"system"}
  {
    "method": "eth_sendTransaction",
    "data": {
      "hash": "0xfc3a736ab2e34e13be2b0b11b39dbc0232a2e755a11aa5a9219890d3b2c6c7d8",
      "caip2": "eip155:11155111",
      "transaction_id": "y90vpg3bnkjxhw541c2zc6a9",
      "transaction_request": {
        "to": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
        "value": "0x2386F26FC10000",
        "chain_id": 11155111,
        "type": 2,
        "nonce": 5,
        "max_fee_per_gas": "0xF4834",
        "max_priority_fee_per_gas": "0xF4240",
        "gas_limit": "0xC350"
      }
    }
  }
  ```

  ```json With sponsorship theme={"system"}
  {
    "method": "eth_sendTransaction",
    "data": {
      "hash": "",
      "user_operation_hash": "0x8f3a4e7d2c1b9a5e6f4d3c2b1a9e8f7d6c5b4a3e2d1c0b9a8f7e6d5c4b3a2e1d",
      "caip2": "eip155:11155111",
      "transaction_id": "y90vpg3bnkjxhw541c2zc6a9"
    }
  }
  ```
</ResponseExample>

<Warning>
  A successful response indicates that the transaction has been broadcasted to the network.
  Transactions may get broadcasted but still fail to be confirmed by the network. To handle these
  scenarios, see our guide on [speeding up transactions](/recipes/speeding-up-transactions).
</Warning>

### Headers

<ParamField header="privy-app-id" type="string" required>
  ID of your Privy app.
</ParamField>

<ParamField header="privy-authorization-signature" type="string">
  Request authorization signature. If multiple signatures are required, they should be comma
  separated.
</ParamField>

<ParamField header="privy-request-expiry" type="string">
  Request expiry. Value is a Unix timestamp in milliseconds representing the deadline by which the
  request must be processed.
</ParamField>

### Path Parameters

<ParamField path="wallet_id" type="string" required>
  ID of the wallet to get.
</ParamField>

### Body

<ParamField body="method" type="string" defaultValue="eth_sendTransaction" required>
  Available options: `eth_sendTransaction`
</ParamField>

<ParamField body="caip2" type="string" initialValue="eip155:11155111" required />

<ParamField body="params" type="object" required>
  <Expandable title="child attributes" defaultOpen="true">
    <ParamField body="transaction" type="object" required>
      <Expandable title="child attributes" defaultOpen="true">
        <ParamField body="from" type="string" />

        <ParamField body="chain_id" type="string | number" />

        <ParamField body="nonce" type="string | number" />

        <ParamField body="type" type="number">
          Available options: `0`, `1`, `2`, `4`.
        </ParamField>

        <ParamField body="gas_limit" type="string | number" />

        <ParamField body="max_fee_per_gas" type="string | number" />

        <ParamField body="max_priority_fee_per_gas" type="string | number" />

        <ParamField body="to" type="string" />

        <ParamField body="data" type="string" />

        <ParamField body="value" type="string | number" />

        <ParamField body="gas_price" type="string | number" />

        <ParamField body="authorization_list" type="object[]">
          Applies to EIP-7702 type-4 transactions.

          <Expandable title="child attributes" defaultOpen={false}>
            <ParamField body="contract" type="string">
              The delegated contract address.
            </ParamField>

            <ParamField body="chain_id" type="string | number" />

            <ParamField body="nonce" type="string | number" />

            <ParamField body="r" type="string" />

            <ParamField body="s" type="string" />

            <ParamField body="y_parity" type="0 | 1" />
          </Expandable>
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="sponsor" type="boolean">
  Optional parameter to enable gas sponsorship for this transaction. [Learn
  more.](/wallets/gas-and-asset-management/gas/overview)
</ParamField>

<ParamField body="reference_id" type="string">
  Optional developer-provided reference ID for transaction reconciliation. Must be unique per
  transaction and up to 64 characters. Use this to correlate transactions with your own internal
  records. The `reference_id` is included in [transaction
  webhook](/api-reference/webhooks/transaction/broadcasted) payloads and can be used to [look up
  transactions](/api-reference/transactions/external-id).
</ParamField>

<ParamField body="address" type="string" />

<ParamField body="chain_type" type="string">
  Available options: `ethereum`
</ParamField>

### Returns

<ResponseField name="method" type="enum<string>" required>
  Available options: `eth_sendTransaction`
</ResponseField>

<ResponseField name="data" type="object" required>
  <Expandable title="child attributes" defaultOpen="true">
    <ResponseField name="hash" type="string" required>
      The transaction hash. For paymaster-sponsored transactions, returns an empty string until the
      transaction confirms on-chain.
    </ResponseField>

    <ResponseField name="user_operation_hash" type="string">
      The user operation hash. Only present for standard EVM paymaster-sponsored transactions.
    </ResponseField>

    <ResponseField name="transaction_request" type="object">
      The full transaction object that was signed and broadcast. Contains the resolved transaction
      fields including `to`, `value`, `chain_id`, `nonce`, `gas_limit`, and fee parameters.
    </ResponseField>

    <ResponseField name="caip2" type="string" required />

    <ResponseField name="transaction_id" type="string" />

    <ResponseField name="reference_id" type="string | null">
      The developer-provided reference ID, if one was provided in the request.
    </ResponseField>
  </Expandable>
</ResponseField>
